Subject: CR-LDP FEC

From: Mohit Misra <[email-masked]>
Date: Fri, 18 May 2001 14:14:00 +0530

Since Cr-ldp is an extension of LDP I assume all other procedures of LDP are
valid even if LDP and CR-LDP are co-existing.
In this case there would be some normal LSPs (based on LDP) and some TE LSPs
(based on CR-LDP). Take the case of 
detecting change in FEC next hop. For the normal LSPs the procedure
described in appendix A of 3036 can be used. What happens if some of the TE
LSPs also pass through the same next hop. Do I need to keep information
about TE LSP-IDs and their next hops and keep on checking when the next hop
changes and perform re-reouting if needed ?. Can I tie up TE-LSPs (LSD-IDs)
with some FEC so that when the next hop changes for the FEC , I can take
care of TE LSPs as well.

Also the CR-LDP FEC TLV is a fixed value. I don't know what purpose it
serves..